zed: '*'

input: |
  {"id":26,"schema":{"of":[{"name":"_path","type":"string"},{"name":"ts","type":"time"},{"name":"uid","type":"string"},{"name":"id","of":[{"name":"orig_h","type":"ip"},{"name":"orig_p","type":"port"},{"name":"resp_h","type":"ip"},{"name":"resp_p","type":"port"}],"type":"record"},{"name":"version","type":"string"},{"name":"cipher","type":"string"},{"name":"curve","type":"string"},{"name":"server_name","type":"string"},{"name":"resumed","type":"bool"},{"name":"last_alert","type":"string"},{"name":"next_protocol","type":"string"},{"name":"established","type":"bool"},{"name":"cert_chain_fuids","of":"string","type":"array"},{"name":"client_cert_chain_fuids","of":"string","type":"array"},{"name":"subject","type":"string"},{"name":"issuer","type":"string"},{"name":"client_subject","type":"string"},{"name":"client_issuer","type":"string"},{"name":"validation_status","type":"string"}],"type":"record"},"aliases":[{"name":"port","type":"uint16"}],"values":["ssl","1490385563.053424","CfEBop2hbfJYpjG5Hd",["10.10.7.90","51913","54.230.87.24","443"],"TLSv12","TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",null,"choices.truste.com","T",null,"http/1.1","T",null,null,null,null,null,null,null]}

output: |
  {_path:"ssl",ts:2017-03-24T19:59:23.053424Z,uid:"CfEBop2hbfJYpjG5Hd",id:{orig_h:10.10.7.90,orig_p:51913 (port=(uint16)),resp_h:54.230.87.24,resp_p:443 (port)} (=0),version:"TLSv12",cipher:"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",curve:null (string),server_name:"choices.truste.com",resumed:true,last_alert:null (string),next_protocol:"http/1.1",established:true,cert_chain_fuids:null (1=([string])),client_cert_chain_fuids:null (1),subject:null (string),issuer:null (string),client_subject:null (string),client_issuer:null (string),validation_status:null (string)} (=2)
